GAVF-RECORD(1)

NAME
gavf-record - gavf recorder

SYNOPSIS
gavf-record [options]

DESCRIPTION
gavf recorder

OPTIONS

-aud param1=val1[&param2=val2...]

    Set audio recording options
    plugin=option[{suboptions}]

    Supported options:

    Default: (null)

    Plugin

    language=<string>

    Supported strings: aar abk ace ach ada afa afh afr aka akk ale alg amh ang apa ara arc arn arp art arw asm ath aus ava ave awa aym aze bad bai bak bal bam ban bas bat bej bel bem ben ber bho bih bik bin bis bla bnt tib bos bra bre btk bua bug bul cad cai car cat cau ceb cel cze cha chb che chg chk chm chn cho chp chr chu chv chy cmc cop cor cos cpe cpf cpp cre crp cus wel dak dan day del den ger dgr din div doi dra dua dum dyu dzo efi egy eka gre elx eng enm epo est baq ewe ewo fan fao per fat fij fin fiu fon fre frm fro fry ful fur gaa gay gba gem gez gil gla gle glg glv gmh goh gon gor got grb grc grn guj gwi hai hau haw heb her hil him hin hit hmn hmo scr hun hup arm iba ibo ijo iku ile ilo ina inc ind ine ipk ira iro ice ita jav jpn jpr kaa kab kac kal kam kan kar kas geo kau kaw kaz kha khi khm kho kik kin kir kmb kok kom kon kor kos kpe kro kru kum kur kut lad lah lam lao lat lav lez lin lit lol loz ltz lua lub lug lui lun luo lus mad mag mah mai mak mal man map mar mas mdr men mga mic min mis mac mkh mlg mlt mnc mni mno moh mol mon mos mao may mul mun mus mwr bur myn nah nai nau nav nbl nde ndo nds nep new nia nic niu dut nno nob non nor nso nub nya nym nyn nyo nzi oci oji ori orm osa oss ota oto paa pag pal pam pan pap pau peo phi pli pol pon por pra pro pus que raj rap rar roa rom rum run rus sad sag sah sai sal sam san sas sat sco sel sem sga sgn shn sid sin sio sit sla slo slv sme smi smo sna snd snk sog som son sot spa alb srd scc srr ssa ssw suk sun sus sux swa swe syr tah tai tam tat tel tem ter tet tgk tgl tha tig tir tiv tkl tli tmh tog ton tpi tsi tsn tso tuk tum tur tut tvl twi tyv uga uig ukr umb und urd uzb vai ven vie vol vot wak wal war was wen wol xho yao yap yid yor ypk zap zen zha chi znd zul zun

    Default: eng

    Language

-vid param1=val1[&param2=val2...]

    Set video recording options
    plugin=option[{suboptions}]

    Supported options:

    Default: (null)

    Plugin

-o <output>

    Output file or location

-m name=value

    Set global metadata of the output (can be used multiple times). Use "name=" to clear a field

-oopt param1=val1[&param2=val2...]

    options
    shm=<number> (default: 1024)

    SHM threshold

    Select the minimum packet size for using shared memory for a stream. Non-positive values disable shared memory completely

    to=<number> (500..100000, default: 5000)

    Timeout (milliseconds)

    dp=[1|0] (default: 0)

    Dump gavf packets

    Use this for debugging

GENERIC OPTIONS
The following generic options are available for all gmerlin applications

-help

    Print this help message and exit

-help-man

    Print this help message as a manual page and exit

-help-texi

    Print this help message in texinfo format and exit

-version

    Print version info and exit

-v level

    Set verbosity level (0..4)

-syslog name

    Log to syslog the specified name

-stderr

    Always log to stderr

FILES
~/.gmerlin/plugins.xml

    Cache of the plugin registry (shared by all applications)

~/.gmerlin/generic/cfg.xml

    Default plugin parameters are read from there. Use gmerlin_plugincfg to change them.